Bug 1481416 - Review Request: light - control backlight controllers
Review Request: light - control backlight controllers
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robert-André Mauchin
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-14 16:30 EDT by Jakub Kadlčík
Modified: 2017-09-21 16:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-21 16:44:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zebob.m: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jakub Kadlčík 2017-08-14 16:30:03 EDT
Fedora Account System Username: frostyx
Spec URL: https://copr-be.cloud.fedoraproject.org/results/frostyx/light/fedora-rawhide-x86_64/00590463-light/light.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/frostyx/light/fedora-rawhide-x86_64/00590463-light/light-1.0-1.fc27.src.rpm
Description:

Light is a program to control backlight controllers under GNU/Linux,
it is the successor of lightscript, which was a bash script with the same purpose,
and tries to maintain the same functionality.

Features

- Works excellent where other software have been proven unusable or problematic,
  thanks to how it operates internally and the fact that it does not rely on X.
- Can automatically figure out the best controller to use,
  making full use of underlying hardware.
- Possibility to set a minimum brightness value, as some controllers
  set the screen to be pitch black at a vaĺue of 0 (or higher).
Comment 1 Robert-André Mauchin 2017-08-17 06:44:16 EDT
Hello,


 - You should probably use "install -m755" and "install -m644" instead of cp + chmod for the binary and the man page:

install -m755 ./light %{buildroot}/%{_bindir}/

install -m644 light.1.gz %{buildroot}/%{_mandir}/

 - You should use the macro %make_build instead of just make:

%make_build
%make_build light
%make_build man

 - the changelog version is wrong, it should be 1.0-1 not 0.1.0-1

 - the first letter of the summary should be capitalized

 - there's a line too long in the description, you should split it to be under 80 characters per line.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 10 files have unknown license. Detailed
     output of licensecheck in /home/bob/packaging/review/light/review-
     light/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[!]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in light-
     debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: light-1.0-1.fc27.x86_64.rpm
          light-debuginfo-1.0-1.fc27.x86_64.rpm
          light-1.0-1.fc27.src.rpm
light.x86_64: W: summary-not-capitalized C control backlight controllers
light.x86_64: W: spelling-error %description -l en_US vaĺue 
light.x86_64: E: description-line-too-long C it is the successor of lightscript, which was a bash script with the same purpose,
light.x86_64: W: incoherent-version-in-changelog 0.1.0-1 ['1.0-1.fc27', '1.0-1']
light.x86_64: W: only-non-binary-in-usr-lib
light.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
light.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
light.x86_64: W: no-manual-page-for-binary light
light.src: W: summary-not-capitalized C control backlight controllers
light.src: W: spelling-error %description -l en_US vaĺue 
light.src: E: description-line-too-long C it is the successor of lightscript, which was a bash script with the same purpose,
3 packages and 0 specfiles checked; 2 errors, 9 warnings.
Comment 3 Robert-André Mauchin 2017-08-18 08:31:15 EDT
In the description of your package, at the bottom, you accidentaly put a weird character above the l of value:

→→ vaĺue

Please correct it.

Otherwise, package accepted.
Comment 4 Jakub Kadlčík 2017-08-18 08:58:53 EDT
That is strange, good catch. I've fixed it and also removed special characters from my name in the changelog.

Spec URL: https://copr-be.cloud.fedoraproject.org/results/frostyx/light/fedora-rawhide-x86_64/00591506-light/light.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/frostyx/light/fedora-rawhide-x86_64/00591506-light/light-1.0-1.fc27.src.rpm
Comment 5 Robert-André Mauchin 2017-08-18 09:44:11 EDT
I've accepted your package already, so you can request the repo.
No need to remove the special characters from your name, vaĺue was detected by rpmlint because it was not recognized by the spell checker.
Comment 6 Gwyn Ciesla 2017-09-21 08:22:35 EDT
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/light
Comment 7 Jakub Kadlčík 2017-09-21 16:44:30 EDT
Thank you,
I am closing the issue now.

Note You need to log in before you can comment on or make changes to this bug.